curl -X PUT https://sandbox.layerfi.com/v1/businesses/863ed926-e30d-40f4-8e7e-b0d5387ce4fb \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"legal_name": "New Legal Name LLC",
"us_state": "NY",
"unit_accounts": [
{
"unit_id": "unit-account-001"
}
],
}'
{
"data": {
"id": "863ed926-e30d-40f4-8e7e-b0d5387ce4fb",
"type": "Business",
"external_id": "test-acme-id",
"legal_name": "New Legal Name LLC",
"tin": "123456789",
"business_activity_code": null,
"us_state": "NY",
"entity_type": "LLC",
"phone_number": "+16504651359",
"sms_enabled": true,
"sms_stopped": false,
"naics_code": null,
"default_locale": "en-US",
"imported_at": "2023-06-15T22:12:05.467940Z",
"updated_at": "2023-06-15T22:12:05.467940Z",
"archived_at": null,
"unit_accounts": [
{
"id": "unit-account-001",
"imported_at": "2023-06-16T22:12:05.467940Z"
}
]
},
"meta": {}
}
Update a Business
This endpoint updates a business.
PUT
/
v1
/
businesses
/
{business_id}
curl -X PUT https://sandbox.layerfi.com/v1/businesses/863ed926-e30d-40f4-8e7e-b0d5387ce4fb \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"legal_name": "New Legal Name LLC",
"us_state": "NY",
"unit_accounts": [
{
"unit_id": "unit-account-001"
}
],
}'
{
"data": {
"id": "863ed926-e30d-40f4-8e7e-b0d5387ce4fb",
"type": "Business",
"external_id": "test-acme-id",
"legal_name": "New Legal Name LLC",
"tin": "123456789",
"business_activity_code": null,
"us_state": "NY",
"entity_type": "LLC",
"phone_number": "+16504651359",
"sms_enabled": true,
"sms_stopped": false,
"naics_code": null,
"default_locale": "en-US",
"imported_at": "2023-06-15T22:12:05.467940Z",
"updated_at": "2023-06-15T22:12:05.467940Z",
"archived_at": null,
"unit_accounts": [
{
"id": "unit-account-001",
"imported_at": "2023-06-16T22:12:05.467940Z"
}
]
},
"meta": {}
}
Path Parameters
string
required
ID of the Business to update
Body
Note - all fields are optional and can be omitted.string
Legal name of the business as it has been registered.
enum
Two letter state abbreviation. (
AK, AL, AR, etc.)ISO8601 timestamp
Start date from which transactions will be classified, displayed, and available for reports. Defaults to current time, but can be specified to a past or future date.
ISO8601 timestamp
The date and time when the business’s free trial ends.
string
6-digit NAICS code used to identify the business’s industry.
enum
Default locale used to localize the business’s content, such as SMS messages. Values can be:
en-US, fr-CA.array containing UnitAccount objects
List of unit accounts associated with this business.
Show properties
Show properties
string
The Unit account’s ID
array containing PlaidItem objects
array containing PlaidProcessorToken objects
List of plaid processor tokens to connect to this business.
Show properties
Show properties
string
processor_token returned by Plaid after generating from access_token.Response
Returns the updated Business Objectcurl -X PUT https://sandbox.layerfi.com/v1/businesses/863ed926-e30d-40f4-8e7e-b0d5387ce4fb \
-H "Authorization: Bearer <access_token>" \
-H "Content-Type: application/json" \
-d '{
"legal_name": "New Legal Name LLC",
"us_state": "NY",
"unit_accounts": [
{
"unit_id": "unit-account-001"
}
],
}'
{
"data": {
"id": "863ed926-e30d-40f4-8e7e-b0d5387ce4fb",
"type": "Business",
"external_id": "test-acme-id",
"legal_name": "New Legal Name LLC",
"tin": "123456789",
"business_activity_code": null,
"us_state": "NY",
"entity_type": "LLC",
"phone_number": "+16504651359",
"sms_enabled": true,
"sms_stopped": false,
"naics_code": null,
"default_locale": "en-US",
"imported_at": "2023-06-15T22:12:05.467940Z",
"updated_at": "2023-06-15T22:12:05.467940Z",
"archived_at": null,
"unit_accounts": [
{
"id": "unit-account-001",
"imported_at": "2023-06-16T22:12:05.467940Z"
}
]
},
"meta": {}
}